import { Ref } from "@vue/composition-api";
import { Confirmation } from "@rhangai/vue-notification-manager/lib/types";
import { ConfirmationBase } from "../confirmation";
export declare type ConfirmationHandlerOptions = {
    delay?: number;
};
export declare type ConfirmationItem<C extends ConfirmationBase = Confirmation> = {
    id: number;
    active: boolean;
    confirmation: C;
    resolve: (value: boolean) => void;
};
export declare type UseConfirmationHandlerResult<C extends ConfirmationBase = Confirmation> = {
    confirm: (confirmationValue?: null | string | C) => Promise<boolean>;
    confirmations: Readonly<Ref<Readonly<ConfirmationItem<C>>[]>>;
};
export declare function useConfirmationHandler<C extends ConfirmationBase = Confirmation>(options?: ConfirmationHandlerOptions): UseConfirmationHandlerResult<C>;
export declare type UseConfirmResult<C extends ConfirmationBase = Confirmation> = {
    confirm: (confirmationValue?: null | string | C) => Promise<boolean>;
};
export declare function useConfirm<C extends ConfirmationBase = Confirmation>(): UseConfirmResult<C>;
