import { Notification } from "@rhangai/vue-notification-manager/lib/types";
import { NotificationBase } from "../notification";
export declare type NotificationHandlerOptions = {
    delay?: number;
};
export declare type NotificationItem<N extends NotificationBase = Notification> = {
    id: number;
    active: boolean;
    notification: N;
    resolve: () => void;
};
export declare function useNotificationHandler<N extends NotificationBase = Notification>(options?: NotificationHandlerOptions): {
    notify: (notificationValue: string | N) => true | void;
    notifications: import("@vue/composition-api").Ref<{
        id: number;
        active: boolean;
        notification: import("@vue/composition-api").UnwrapRef<N>;
        resolve: () => void;
    }[]>;
};
export declare function useNotify(): {
    notify: (notificationValue: string | Notification) => true | void;
};
