export class ConfirmationManager {
    constructor(confirmationCallback) {
        this.confirmationCallback = confirmationCallback;
    }
    async confirm(confirmationValue) {
        if (!this.confirmationCallback)
            return true;
        let confirmation;
        if (typeof confirmationValue === "string") {
            confirmation = { message: confirmationValue };
        }
        else if (confirmationValue == null) {
            confirmation = { message: null };
        }
        else {
            confirmation = confirmationValue;
        }
        return this.confirmationCallback(confirmation);
    }
}
